The `ApiLogicServer create` command creates API Logic Projects.  As shown below, they are standard projects you can open in your IDE.

For more information on opening projects and establishing their Python Execution environment, see [Execute an API Logic Project](../IDE-Execute){:target="_blank" rel="noopener"}.

&nbsp;

## Use your IDE for API Logic Projects

The `ApiLogicServer create` command creates an API Logic Project, which you can open in your IDE as shown below.  As illustrated in the [Tutorial](../Tutorial){:target="_blank" rel="noopener"}, you can use the expected features of your IDE to customize, run and debug your project:

<figure><img src="https://github.com/valhuber/apilogicserver/wiki/images/generated-project.png?raw=true"></figure>

&nbsp;

## Customize

[Customize](../Tutorial/#customize-and-debug) API Logic Projects using standard IDE Code Editors, including code completion (particularly useful for [declaring logic](../Logic-Why/#code-completion){:target="_blank" rel="noopener"}):

<figure><img src="https://github.com/valhuber/apilogicserver/wiki/images/vscode/venv.png?raw=true"></figure>

&nbsp;

## Run

The `ApiLogicServer create` command also creates:

* Launch configurations to run your project, and run [tests](../Behave.md){:target="_blank" rel="noopener"}.
* [Docker](../Working-With-Docker){:target="_blank" rel="noopener"} files to open your project, and dockerize your project into a container for DockerHub

<figure><img src="https://github.com/valhuber/apilogicserver/wiki/images/ui-admin/run-admin-app.png?raw=true"></figure>

&nbsp;

## Debug

Utilize IDE Debuggers, including for declarative rules, as described in the [Tutorial](../Tutorial/#customize-and-debug):

<figure><img src="https://github.com/valhuber/ApiLogicServer/raw/main/images/docker/VSCode/nw-readme/declare-logic.png"></figure>
